<bugID>1245377<Summary>Various Synced Tab tests are going to permafail when Gecko 47 merges to Beta</Summary><Description>[Tracking Requested - why for this release]: Merge day bustage when Gecko 47 goes to Beta.

I'm assuming that Synced Tabs are disabled when RELEASE_BUILD is set? That'll make for a bad time for tests that expect it to be enabled :)

XPCShell: https://treeherder.mozilla.org/logviewer.html#?job_id=16064591&amp;repo=try

TEST-START | browser/components/syncedtabs/test/xpcshell/test_SyncedTabsDeckComponent.js
TEST-UNEXPECTED-FAIL | browser/components/syncedtabs/test/xpcshell/test_SyncedTabsDeckComponent.js | xpcshell return code: 0
TEST-INFO took 412ms
&gt;&gt;&gt;&gt;&gt;&gt;&gt;
(xpcshell/head.js) | test MAIN run_test pending (1)
(xpcshell/head.js) | test run_next_test 0 pending (2)
(xpcshell/head.js) | test MAIN run_test finished (2)
running event loop
"CONSOLE_MESSAGE: (warn) [JavaScript Warning: "ReferenceError: reference to undefined property wloc.protocol" {file: "/builds/slave/test/build/tests/xpcshell/tests/browser/components/syncedtabs/test/xpcshell/head.js -&gt; resource://testing-common/sinon-1.16.1.js" line: 5279}]"
browser/components/syncedtabs/test/xpcshell/test_SyncedTabsDeckComponent.js | Starting testInitUninit
(xpcshell/head.js) | test testInitUninit pending (2)
PROCESS | 11834 | *************************
PROCESS | 11834 | A coding exception was thrown and uncaught in a Task.
PROCESS | 11834 | Full message: TypeError: Object.values is not a function
PROCESS | 11834 | Full stack: init@resource://app/modules/syncedtabs/SyncedTabsDeckComponent.js:85:31
PROCESS | 11834 | testInitUninit@/builds/slave/test/build/tests/xpcshell/tests/browser/components/syncedtabs/test/xpcshell/test_SyncedTabsDeckComponent.js:35:3
PROCESS | 11834 | _run_next_test@/builds/slave/test/build/tests/xpcshell/head.js:1541:9
PROCESS | 11834 | do_execute_soon/&lt;.run@/builds/slave/test/build/tests/xpcshell/head.js:681:9
PROCESS | 11834 | _do_main@/builds/slave/test/build/tests/xpcshell/head.js:208:5
PROCESS | 11834 | _execute_test@/builds/slave/test/build/tests/xpcshell/head.js:541:5
PROCESS | 11834 | @-e:1:1
PROCESS | 11834 | *************************
(xpcshell/head.js) | test run_next_test 0 finished (2)
Unexpected exception TypeError: Object.values is not a function at resource://app/modules/syncedtabs/SyncedTabsDeckComponent.js:85
init@resource://app/modules/syncedtabs/SyncedTabsDeckComponent.js:85:31
testInitUninit@/builds/slave/test/build/tests/xpcshell/tests/browser/components/syncedtabs/test/xpcshell/test_SyncedTabsDeckComponent.js:35:3
_run_next_test@/builds/slave/test/build/tests/xpcshell/head.js:1541:9
do_execute_soon/&lt;.run@/builds/slave/test/build/tests/xpcshell/head.js:681:9
_do_main@/builds/slave/test/build/tests/xpcshell/head.js:208:5
_execute_test@/builds/slave/test/build/tests/xpcshell/head.js:541:5
@-e:1:1
exiting test
"CONSOLE_MESSAGE: (warn) [JavaScript Warning: "ReferenceError: reference to undefined property this.fakes" {file: "/builds/slave/test/build/tests/xpcshell/tests/browser/components/syncedtabs/test/xpcshell/head.js -&gt; resource://testing-common/sinon-1.16.1.js" line: 2566}]"
"CONSOLE_MESSAGE: (warn) [JavaScript Warning: "ReferenceError: reference to undefined property this.returnValues[i]" {file: "/builds/slave/test/build/tests/xpcshell/tests/browser/components/syncedtabs/test/xpcshell/head.js -&gt; resource://testing-common/sinon-1.16.1.js" line: 2621}]"
&lt;&lt;&lt;&lt;&lt;&lt;&lt;


Mochitest browser-chrome: https://treeherder.mozilla.org/logviewer.html#?job_id=16064542&amp;repo=try

TEST-UNEXPECTED-FAIL | browser/components/syncedtabs/test/browser/browser_sidebar_syncedtabslist.js | uncaught exception - TypeError: Object.values is not a function at resource://app/modules/syncedtabs/SyncedTabsDeckComponent.js:85
TEST-UNEXPECTED-FAIL | browser/components/syncedtabs/test/browser/browser_sidebar_syncedtabslist.js | Uncaught exception - at chrome://mochitests/content/browser/browser/components/syncedtabs/test/browser/browser_sidebar_syncedtabslist.js:103 - TypeError: selectedPanel is null
TEST-UNEXPECTED-FAIL | browser/components/syncedtabs/test/browser/browser_sidebar_syncedtabslist.js | uncaught exception - TypeError: this._view is undefined at resource:///modules/syncedtabs/TabListComponent.js:63
TEST-UNEXPECTED-FAIL | browser/components/syncedtabs/test/browser/browser_sidebar_syncedtabslist.js | uncaught exception - TypeError: Object.values is not a function at resource://app/modules/syncedtabs/SyncedTabsDeckComponent.js:85
TEST-UNEXPECTED-FAIL | browser/components/syncedtabs/test/browser/browser_sidebar_syncedtabslist.js | Uncaught exception - at chrome://mochitests/content/browser/browser/components/syncedtabs/test/browser/browser_sidebar_syncedtabslist.js:149 - TypeError: filterInput is null
TEST-UNEXPECTED-FAIL | browser/components/syncedtabs/test/browser/browser_sidebar_syncedtabslist.js | uncaught exception - TypeError: this._view is undefined at resource:///modules/syncedtabs/TabListComponent.js:63
TEST-UNEXPECTED-FAIL | browser/components/syncedtabs/test/browser/browser_sidebar_syncedtabslist.js | uncaught exception - TypeError: Object.values is not a function at resource://app/modules/syncedtabs/SyncedTabsDeckComponent.js:85
TEST-UNEXPECTED-FAIL | browser/components/syncedtabs/test/browser/browser_sidebar_syncedtabslist.js | Uncaught exception - at chrome://mochitests/content/browser/browser/components/syncedtabs/test/browser/browser_sidebar_syncedtabslist.js:200 - TypeError: selectedPanel is null
TEST-UNEXPECTED-FAIL | browser/components/syncedtabs/test/browser/browser_sidebar_syncedtabslist.js | Uncaught exception - at chrome://mochitests/content/browser/browser/components/syncedtabs/test/browser/browser_sidebar_syncedtabslist.js:59 - TypeError: SyncedTabs._internal.getTabClients.restore is not a function</Description></bugID>